PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::align::Aligner< _direction1, _direction2 > Struct Template Reference

Two directions aligner in 3D space, compose and use two 1D aligners. More...

`#include <plask/geometry/align.hpp>`

Inheritance diagram for plask::align::Aligner< _direction1, _direction2 >:
[legend]
Collaboration diagram for plask::align::Aligner< _direction1, _direction2 >:
[legend]

## Public Member Functions
| Aligner ()
| Aligner (const Aligner< _direction1 > &dir1aligner, const Aligner< _direction2 > &dir2aligner)
Public Member Functions inherited from plask::align::AlignerBase2D< _direction1, _direction2 >
| AlignerBase2D ()
| AlignerBase2D (const Aligner< direction1 > &dir1aligner, const Aligner< direction2 > &dir2aligner)
bool | useBounds () const
| Check if this aligner getAlign uses bounding box in calculation.
virtual void | align (Translation< 3 > &toAlign, const Box3D &childBoundingBox) const
| Set object translation in directions of aligner activity.
virtual void | align (Translation< 3 > &toAlign) const
| Set object translation in directions of aligner activity.
std::string | str () const
| Get string representation of this using print method.
virtual std::map< std::string, double > | asDict (const AxisNames &axis_names) const
| Get aligner as dictionary.
virtual void | writeToXML (XMLElement &dest, const AxisNames &axis_names) const
| Write this aligner to XML.
bool | isNull ()

## Additional Inherited Members
Public Attributes inherited from plask::align::AlignerBase2D< _direction1, _direction2 >
Aligner< _direction1 > | dir1aligner
Aligner< _direction2 > | dir2aligner
Static Public Attributes inherited from plask::align::AlignerBase2D< _direction1, _direction2 >
static const Direction | direction1 = _direction1
static const Direction | direction2 = _direction2

## Detailed Description

template<Direction _direction1, Direction _direction2>
struct plask::align::Aligner< _direction1, _direction2 >

Two directions aligner in 3D space, compose and use two 1D aligners.

Definition at line 424 of file align.hpp.

## Constructor & Destructor Documentation

## ◆ Aligner() [1/2]

template<Direction _direction1, Direction _direction2>

plask::align::Aligner< _direction1, _direction2 >::Aligner | ( |  | ) |
| inline

Definition at line 426 of file align.hpp.

## ◆ Aligner() [2/2]

template<Direction _direction1, Direction _direction2>

plask::align::Aligner< _direction1, _direction2 >::Aligner | ( | const Aligner< _direction1 > & | dir1aligner,
|  | const Aligner< _direction2 > & | dir2aligner
| ) |  |
| inline

Definition at line 428 of file align.hpp.

The documentation for this struct was generated from the following file:

- plask/geometry/align.hpp